Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class FilterInvocation

    java.lang.Object
      com.vordel.circuit.FilterInvocation

    public class FilterInvocation

extends java.lang.Object

This class tracks the statistics for a filter's invocation.

Field Summary
`long` | `completionTimestamp`
`com.vordel.log.LogMessage` | `loggedMessage`
`java.util.ArrayList<java.lang.Integer>` | `messageBodyVersions`
`MessageProcessor` | `processor`
`int` | `result`
`static int` | `RESULT_EXCEPTION`
`static int` | `RESULT_FAILURE`
`static int` | `RESULT_SUCCESS`
`long` | `startTimestamp`
`java.util.ArrayList<CircuitInvocation>` | `subPath`

Constructor Summary
`FilterInvocation(MessageProcessor processor)` Constructor which takes all relevant statistics.

Method Summary
`boolean` | `addPath(CircuitInvocation circuitInvocation)`
`void` | `complete(int result)`
`long` | `getExecTime()`
`java.lang.String` | `getStatus()`
`boolean` | `removePath(CircuitInvocation circuitInvocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_FAILURE

    public static final int RESULT_FAILURE

See Also:
  Constant Field Values

### RESULT_SUCCESS

    public static final int RESULT_SUCCESS

See Also:
  Constant Field Values

### RESULT_EXCEPTION

    public static final int RESULT_EXCEPTION

See Also:
  Constant Field Values

### processor

    public final MessageProcessor processor

### startTimestamp

    public long startTimestamp

### completionTimestamp

    public long completionTimestamp

### result

    public int result

### loggedMessage

    public com.vordel.log.LogMessage loggedMessage

### subPath

    public java.util.ArrayList<CircuitInvocation> subPath

### messageBodyVersions

    public java.util.ArrayList<java.lang.Integer> messageBodyVersions

Constructor Detail

### FilterInvocation

    public FilterInvocation(MessageProcessor processor)

  Constructor which takes all relevant statistics.

  Parameters:
    `result` -
    `completionTimestamp` -
    `circuit` -
    `processor` -
    `exception` -

Method Detail

### complete

    public void complete(int result)

### getStatus

    public java.lang.String getStatus()

### getExecTime

    public long getExecTime()

### addPath

    public boolean addPath(CircuitInvocation circuitInvocation)

### removePath

    public boolean removePath(CircuitInvocation circuitInvocation)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel